> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出预设模板

> 路由工作室空状态提供的只读蓝图。

返回路由工作室在空状态下提供的精心策划的预设模板，可作为起始规则集使用。预设是只读的——应用某个预设本质上就是一次普通的[创建偏好设置](/api-reference/routing-preferences/create-preference)调用，只是用该预设的 `rules`、`examples` 和 `confidence_floor_overrides` 作为种子数据。

## 身份验证

需要携带具有 `billing` API 密钥作用域的 Bearer 令牌。

## 请求示例

<CodeGroup>
  ```bash curl theme={null}
  curl https://www.hitheo.ai/api/v1/routing-preferences/presets \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  // Use the raw HTTP client for now — preset listing is exposed at the
  // REST surface and is typically consumed by the dashboard empty state.
  const res = await fetch("https://www.hitheo.ai/api/v1/routing-preferences/presets", {
    headers: { Authorization: `Bearer ${process.env.THEO_API_KEY}` },
  });
  const { presets } = await res.json();
  ```
</CodeGroup>

## 响应

每个预设都包含 `id`、`name`、`tagline`、`description`、`rules`、`examples` 和 `confidence_floor_overrides`。

```json theme={null}
{
  "presets": [
    {
      "id": "pricing-questions",
      "name": "Pricing questions",
      "tagline": "Route pricing questions to the analytical engine.",
      "description": "Catches pricing-related keywords (pricing, cost, quote, plan, tier) and promotes to `think`.",
      "rules": [
        {
          "pattern": "\\b(price|pricing|cost|quote|tier|plan)\\b",
          "target_mode": "think",
          "confidence": 0.88,
          "description": "Pricing questions get the analytical engine."
        }
      ],
      "examples": [
        { "prompt": "What's the price of the enterprise plan?", "expected_mode": "think" }
      ],
      "confidence_floor_overrides": {}
    }
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.